API docs / Image models
esrgan API
Image 4x super-resolution
- Model id
xinntao/esrgan- Provider
- xinntao
- Output
- Image
- Price
- From 1 credits per run, the same as on voor.ai. Options such as length or resolution can change it.
Request
POST https://voor.ai/v1/generations with "model": "xinntao/esrgan". Poll GET /v1/tasks/{id} or receive the signed webhook. See the overview for keys, idempotency, webhooks and errors.
curl https://voor.ai/v1/generations \
-H "Authorization: Bearer $VOOR_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "xinntao/esrgan",
"input": {
"reference_images": [
"https://example.com/input.png"
]
},
"callback_url": "https://example.com/webhooks/voor"
}'
# Then poll the task (or wait for the webhook):
curl https://voor.ai/v1/tasks/TASK_ID \
-H "Authorization: Bearer $VOOR_API_KEY"Input parameters
| Name | Type | Details |
|---|---|---|
reference_imagesrequired | array of URLs | Low-resolution input image Up to 1 files · Accepts image/* |